# HOW TO USE:
# 1. Run "/scoreboard players set min wd <minimum number>" to set a minimum number
# 2. Run "/scoreboard players set max wd <maximum number>" to set a maximum number
# 3. Run "/function <your_pack_name>:wd" to generate the number
# 4. Your ranom number between the given minimum and maximum is now stored as "out" in "wd"
# (Get it with "/scoreboard players operation <PLAYER> <SCOREBOARD> = out wd")
#
# *You don't need to set the minimum and maximum every time, it'll use the last used
# or the base which is min 0, max 100


# Activate the pack
execute unless entity @e[tag=weathersetup] run scoreboard objectives add wd dummy
execute unless entity @e[tag=weathersetup] run scoreboard players set min wd 1
execute unless entity @e[tag=weathersetup] run scoreboard players set max wd 4
execute unless entity @e[tag=weathersetup] run summon area_effect_cloud ~ ~ ~ {Tags:["wdbase"],Duration:1}
execute unless entity @e[tag=weathersetup] run execute store result score num wd run data get entity @e[type=area_effect_cloud,limit=1,tag=wdbase] UUID[0]
execute unless entity @e[tag=weathersetup] run scoreboard players set a wd 48141429
execute unless entity @e[tag=weathersetup] run scoreboard players set b wd 4819982
execute unless entity @e[tag=weathersetup] run scoreboard players set m wd 924866

# Prepare to use a minimum different from 0
scoreboard players operation trueMax wd = max wd
scoreboard players operation trueMax wd -= min wd
scoreboard players add trueMax wd 1

# Modify output
scoreboard players operation num wd *= a wd
scoreboard players operation num wd += b wd
scoreboard players operation out wd = num wd
scoreboard players operation out wd %= m wd
scoreboard players operation out wd %= trueMax wd
scoreboard players operation out wd += min wd

# Uncomment (remove the "# ") next line to print output
# tellraw @a {"score":{"name":"out","objective":"wd"}}

# This module was made by Natural_Power
# You may use it any way you want as long as these stay inside the module
schedule function atmospheric:weather/winddirection 600s
# 1=north
# 2=south
# 3=east
# 4=west